org.eclipse.viatra.query.runtime.base.comprehension

## Class WellbehavingDerivedFeatureRegistry

- java.lang.Object
- - org.eclipse.viatra.query.runtime.base.comprehension.WellbehavingDerivedFeatureRegistry

-     public class WellbehavingDerivedFeatureRegistry
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Collection<org.eclipse.emf.ecore.EClass>` | `getContributedWellbehavingDerivedClasses()`
    `static java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature>` | `getContributedWellbehavingDerivedFeatures()`
    `static java.util.Collection<org.eclipse.emf.ecore.EPackage>` | `getContributedWellbehavingDerivedPackages()`
    `static com.google.common.collect.Multimap<java.lang.String,java.lang.String>` | `getContributingPluginOfFeatureMap()`
    `static void` | `initRegistry()` Called by ViatraBasePlugin.
    `static boolean` | `isWellbehavingFeature(org.eclipse.emf.ecore.EStructuralFeature feature)`
    `static void` | `registerWellbehavingDerivedClass(org.eclipse.emf.ecore.EClass cls)`
    `static void` | `registerWellbehavingDerivedFeature(org.eclipse.emf.ecore.EStructuralFeature feature)`
    `static void` | `registerWellbehavingDerivedPackage(org.eclipse.emf.ecore.EPackage pkg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### initRegistry

          public static void initRegistry()

      Called by ViatraBasePlugin.

    - #### getContributingPluginOfFeatureMap

          public static com.google.common.collect.Multimap<java.lang.String,java.lang.String> getContributingPluginOfFeatureMap()

    - #### isWellbehavingFeature

          public static boolean isWellbehavingFeature(org.eclipse.emf.ecore.EStructuralFeature feature)

      Parameters:
        `feature` -
      Returns:
        true if the feature (or its defining EClass or ) is registered as well-behaving

    - #### registerWellbehavingDerivedFeature

          public static void registerWellbehavingDerivedFeature(org.eclipse.emf.ecore.EStructuralFeature feature)

    - #### registerWellbehavingDerivedClass

          public static void registerWellbehavingDerivedClass(org.eclipse.emf.ecore.EClass cls)

    - #### registerWellbehavingDerivedPackage

          public static void registerWellbehavingDerivedPackage(org.eclipse.emf.ecore.EPackage pkg)

    - #### getContributedWellbehavingDerivedFeatures

          public static java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature> getContributedWellbehavingDerivedFeatures()

    - #### getContributedWellbehavingDerivedClasses

          public static java.util.Collection<org.eclipse.emf.ecore.EClass> getContributedWellbehavingDerivedClasses()

    - #### getContributedWellbehavingDerivedPackages

          public static java.util.Collection<org.eclipse.emf.ecore.EPackage> getContributedWellbehavingDerivedPackages()